Package ru.bitel.bgbilling.modules.rcmts.server.bean

# Enum Class RCConfigConstants

java.lang.Object
java.lang.Enum<RCConfigConstants>
ru.bitel.bgbilling.modules.rcmts.server.bean.RCConfigConstants

All Implemented Interfaces:
  `Serializable`, `Comparable<RCConfigConstants>`, `Constable`

public enum RCConfigConstants extends Enum<RCConfigConstants>
Константы конфига модуля

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACTIVE_STATUS`
  `ADDRESS_PID`
  `ADDRESS_STRING_PID`
  `AUTO_ADD_MODULE_TO_CONTRACT`
  `BLOCK_STATUS`
  `DEFAULT_PAYMENT_TYPE`
  `FIO`
  `FIRST_NAME`
  `INET_MODULES_IDS`
  `LAST_NAME`
  `MIDDLE_NAME`
  `MTS_ACCOUNT_PREFIX`
  `MTS_TARIFF_OPTIONS`
  `MTS_TOKEN`
  `NPAY_MID`
  `PAYMENT_METHOD`
  `TARIFF_OPTION_ACTIVATE_MODE`
  `TV_MODULES_IDS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getKey()`
  `static RCConfigConstants`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RCConfigConstants[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FIO

    public static final RCConfigConstants FIO

  - ### FIRST_NAME

    public static final RCConfigConstants FIRST_NAME

  - ### LAST_NAME

    public static final RCConfigConstants LAST_NAME

  - ### MIDDLE_NAME

    public static final RCConfigConstants MIDDLE_NAME

  - ### ADDRESS_STRING_PID

    public static final RCConfigConstants ADDRESS_STRING_PID

  - ### ADDRESS_PID

    public static final RCConfigConstants ADDRESS_PID

  - ### PAYMENT_METHOD

    public static final RCConfigConstants PAYMENT_METHOD

  - ### ACTIVE_STATUS

    public static final RCConfigConstants ACTIVE_STATUS

  - ### BLOCK_STATUS

    public static final RCConfigConstants BLOCK_STATUS

  - ### AUTO_ADD_MODULE_TO_CONTRACT

    public static final RCConfigConstants AUTO_ADD_MODULE_TO_CONTRACT

  - ### TARIFF_OPTION_ACTIVATE_MODE

    public static final RCConfigConstants TARIFF_OPTION_ACTIVATE_MODE

  - ### MTS_TARIFF_OPTIONS

    public static final RCConfigConstants MTS_TARIFF_OPTIONS

  - ### MTS_ACCOUNT_PREFIX

    public static final RCConfigConstants MTS_ACCOUNT_PREFIX

  - ### INET_MODULES_IDS

    public static final RCConfigConstants INET_MODULES_IDS

  - ### TV_MODULES_IDS

    public static final RCConfigConstants TV_MODULES_IDS

  - ### MTS_TOKEN

    public static final RCConfigConstants MTS_TOKEN

  - ### DEFAULT_PAYMENT_TYPE

    public static final RCConfigConstants DEFAULT_PAYMENT_TYPE

  - ### NPAY_MID

    public static final RCConfigConstants NPAY_MID

- ## Method Details

  - ### values

    public static RCConfigConstants[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RCConfigConstants valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getKey

    public String getKey()